#include "commontypes.h"
#include "daemon/Configuration.h"
#include <Logger/LoggerMacroses.h>

using namespace NS_DM_Client;

namespace NS_DM_Client
{
	namespace NS_Daemon
	{
		Configuration::Configuration(NS_Logging::Logger& log)
			: m_logger(log)
		{
		}

		Configuration::~Configuration(void)
		{
		}

		void Configuration::reset()
		{
		}


		bool Configuration::Read(StringBuffer& xml)
		{
			return true;
		}


		bool Configuration::S_getTagInfo(const char* xml, const char* tagName,
			StringBuffer& content, StringBuffer* attributes,
			unsigned int* endPos
			)
		{
			return true;
		}


		bool Configuration::S_getAttribute(const char* xml, const char* attName, StringBuffer& attrValue)
		{
			return true;
		}


		bool Configuration::readProfiles(StringBuffer& xml)
		{
			return true;
		}


		bool Configuration::addProfile(Profile& profile, StringBuffer& xml, bool enable)
		{
			return true;
		}


		bool Configuration::S_readLocation(StringBuffer& xmlParent, StringBuffer& modulename, StringBuffer& createFuncName)
		{
			return true;
		}

		bool Configuration::S_readSettings(StringBuffer& xmlParent, StringMap& params)
		{
			return true;
		}


		bool Configuration::S_readLoggerInfo(StringBuffer& xmlParent, StringBuffer& loggerInstance)
		{
			return true;
		}


		Profile* Configuration::GetProfile(int i)
		{
			return 0;
		}

		Profile* Configuration::GetProfile(const NS_DM_Client::String& profileName)
		{
			return 0;
		}

		int Configuration::GetProfilesCount() const
		{
			return 0;
		}
	}
}


